Authorization Problem in v6

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Member II

Authorization Problem in v6

Jump to solution

Hi,

I was using activiti v5.19.0.2 and upgraded to v6.0.0 and started encountering 401 unauthorized error when hitting REST API's through postman.

So, I downgraded back to v5 and it worked.

I have used all the possible matches for v6.

- admin/admin

- admin/test

Any Solution to this would be appreciated

1 Solution

Accepted Solutions
Highlighted
Alfresco Employee

Re: Authorization Problem in v6

Jump to solution

if you are using the activiti-rest.war then you can use the same users of Activiti 5 check Activiti/DemoDataConfiguration.java at 6.x · Activiti/Activiti · GitHub 

View solution in original post

3 Replies
Highlighted
Member II

Re: Authorization Problem in v6

Jump to solution

Update :-

Info - I am using spring boot v2.0.0

So I changed the POM and removed activiti's starter rest api dependency, which solves the issue.

So, what is it that makes it throw a 401 error?

Highlighted
Alfresco Employee

Re: Authorization Problem in v6

Jump to solution

if you are using the activiti-rest.war then you can use the same users of Activiti 5 check Activiti/DemoDataConfiguration.java at 6.x · Activiti/Activiti · GitHub 

View solution in original post

Highlighted
Member II

Re: Authorization Problem in v6

Jump to solution

Thanks! I'll look into it.